﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JPK_VDEK
{
    public static class JpkData
    {
        static private JpkExt aJpk;

        public static JpkExt getJpk()
        {
            if(aJpk==null)
            {
                aJpk = new JpkExt();
                aJpk.Naglowek = new JPKNaglowek();
                aJpk.Naglowek.KodFormularza = new TNaglowekKodFormularza();
                aJpk.Naglowek.CelZlozenia = new TNaglowekCelZlozenia();
                aJpk.Naglowek.KodFormularzaDekl = new TNaglowekKodFormularzaDekl();
                aJpk.Naglowek.WariantFormularzaDekl = 21;
                aJpk.Naglowek.WariantFormularza = 1;

                aJpk.Podmiot1 = new JPKPodmiot1();
             
            }
            return aJpk;
        }
    }

    public class JpkExt : JPK
    {
        private string usNazwa;

        public string  UsNazwa { get; set; }
    }
}
